|  | Home | Documentation | saml2__SubjectLocalityType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml2__SubjectLocalityType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectLocalityType is a complexType. More...

`#include <saml2.h>`

## Public Attributes

char * | Address
| Attribute "Address" of type xs:string.
char * | DNSName
| Attribute "DNSName" of type xs:string.

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectLocalityType is a complexType.

Note
  struct saml2__SubjectLocalityType operations:
  - saml2__SubjectLocalityType* soap_new_saml2__SubjectLocalityType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__SubjectLocalityType(struct soap*, saml2__SubjectLocalityType*) default initialize members
  - int soap_read_saml2__SubjectLocalityType(struct soap*, saml2__SubjectLocalityType*) deserialize from a source
  - int soap_write_saml2__SubjectLocalityType(struct soap*, saml2__SubjectLocalityType*) serialize to a sink
  - saml2__SubjectLocalityType* soap_dup_saml2__SubjectLocalityType(struct soap*, saml2__SubjectLocalityType* dst, saml2__SubjectLocalityType <em>src) returns deep copy of saml2__SubjectLocalityType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__SubjectLocalityType(saml2__SubjectLocalityType
  ) deep deletes saml2__SubjectLocalityType data members, use only on dst after soap_dup_saml2__SubjectLocalityType(NULL, saml2__SubjectLocalityType *dst, saml2__SubjectLocalityType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ Address

char* saml2__SubjectLocalityType::Address

Attribute "Address" of type xs:string.

Optional attribute.

## ◆ DNSName

char* saml2__SubjectLocalityType::DNSName

Attribute "DNSName" of type xs:string.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h